﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@

@{
    Layout = "~/Views/Shared/_faasoftwarelayout.cshtml";
}
<style>

    .select2-container--default .select2-selection--single {
        height: 45px;
    }

        .select2-container--default .select2-selection--single .select2-selection__rendered {
            line-height: 45px;
        }

    .select2-container {
        width: 100%;
    }

    .canvasjs-chart-credit{
        display:none;
    }
/* 
        .canvasjs-chart-canvas {
            width: 100%;
        } */

</style>
<!-- Header -->
<div class="d-flex btn-grps col 12">

    <ul class="nav nav-tabs d-flex" id="Menu_nav_Id" accesskey="37" role="tablist">

        <li class="nav-item flex-fill" role="presentation">
            <button class="nav-link Tab38" accesskey="38" id="Tab_QCLot" data-bs-toggle="tab" data-bs-target="#TabNav_38" type="button"
                    role="tab" aria-controls="TabNav_38" aria-selected="false">
                <div class="col 12 row" style="margin-left:25px">
                    <div class="col 12" style="text-align:left;"> QC Lot &nbsp;</div>
                </div>

            </button>
        </li>
        <li class="nav-item flex-fill" role="presentation">
            <button class="nav-link Tab39" accesskey="39" id="Tab_DailyQC" data-bs-toggle="tab" data-bs-target="#TabNav_39" type="button"
                    role="tab" aria-controls="TabNav_39" aria-selected="false">
                <div class="col 12 row" style="margin-left:25px">
                    <div class="col 12" style="text-align:left;">Daily QC &nbsp;</div>
                </div>
            </button>
        </li>
        <li class="nav-item flex-fill" role="presentation">
            <button class="nav-link Tab40" accesskey="40" id="Tab_MonthlyQC" data-bs-toggle="tab" data-bs-target="#TabNav_40" type="button"
                    role="tab" aria-controls="TabNav_40" aria-selected="false">
                <div class="col 12 row" style="margin-left:25px">
                    <div class="col 12" style="text-align:left;">Monthly QC &nbsp;</div>
                </div>
            </button>
        </li>
        <li class="nav-item flex-fill" role="presentation">
            <button class="nav-link Tab41" accesskey="41" id="Tab_QCValuePrint" data-bs-toggle="tab" data-bs-target="#TabNav_41" type="button"
                    role="tab" aria-controls="TabNav_41" aria-selected="false">
                <div class="col 12 row" style="margin-left:25px">
                    <div class="col 12" style="text-align:left;">QC Value Print &nbsp;</div>
                </div>
            </button>
        </li>

    </ul>
</div>
<br />
<div class="tab-content pt-2" id="myTabContent">
    <!-- 1 Start QC Lot-->
    <div class="tab-pane fade" id="TabNav_38" role="tabpanel" aria-labelledby="Tab_QCLot" style="margin-top:-10px">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <div class="row col-lg-12">
                        <div class="col-sm-9">
                            <h5 class="card-title">
                                QC Lot
                            </h5>
                        </div>
                        <div class="col-sm-3 card-title" style="text-align:right;">
                            <button type="button" class="btn colorCode" data-bs-toggle="modal" data-bs-target="#modelQCLot">
                                <i class="bi bi-plus" data-bs-toggle="tooltip" data-bs-placement="bottom" title="New QC Lot"></i>
                                New QC Lot
                            </button>
                        </div>
                    </div>
                </div>
                <div class="card-body mt-3">
                    <div class="row" id="divQcLot">
                        <table id="tblQCLot" class="display compact" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Lot Number</th>
                                    <th>Test Code/th>
                                    <th>Unit</th>
                                    <th>Decimals</th>
                                    <th>QC Mean Value</th>
                                    <th>QC Min</th>
                                    <th>QC Max</th>
                                    <th>SD Value</th>
                                    <th>1SD Range</th>
                                    <th>2SD Range</th>
                                    <th>3SD Range</th>
                                    <th>Expiry Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <div id="divQcLotNoRecordFound"></div>

                </div>
            </div>
            <div class="modal fade" data-backdrop="static" aria-hidden="true" id="modelQCLot" tabindex="-1">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content" style="width:750px;">
                        <div class="modal-header">
                            <h5 class="modal-title">New QC Lot</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearQCLot()"></button>
                        </div>
                        <div class="modal-body" style="margin-left:15px;">
                            <div class="row ">
                                <div class="col-lg-4 mb-3 mt-2">
                                    <div class="cd-position-relative">
                                        <input type="hidden" id="hdQCLotId" />
                                        <select id="ddlTestId" class="form-select select2 select floating-label-control cd-form-control form-control" placeholder="Select" name="ddlQCLot">
                                            <!-- name="ddlQCLot" -->
                                        </select>

                                        <label for="inputQCTestCode" class="floating-label">Test Code</label>
                                    </div>
                                </div>

                                <div class="col-lg-4 mt-2">
                                    <div class="cd-position-relative" id="divQcLotNo">
                                        <select id="ddlQCLot" class="form-select select floating-label-control cd-form-control editable-select" placeholder="Lot Number">
                                        </select>
                                        <label class="floating-label" for="floating-label">Lot Number</label>
                                    </div>
                                </div>

                                <div class="col-lg-4  mb-3 mt-2">
                                    <div class="cd-position-relative">
                                        <select class="form-select select floating-label-control cd-form-control form-control" placeholder="Select" name="ddlConcentration" id="ddlConc">
                                            <option selected>select</option>
                                            <option value="1">High</option>
                                            <option value="2">Normal</option>
                                            <option value="3">Low</option>
                                        </select>
                                        <label class="floating-label" for="ddlConcentration">Concentration </label>
                                    </div>
                                </div>
                            </div>



                            <div class="row">
                                <div class="col-lg-4  mb-3">
                                    <div class="cd-position-relative">

                                        <select class="form-select select floating-label-control cd-form-control form-control" placeholder="Select" id="txtmonth">
                                        </select>
                                        <label for="inpuQCSDVal" class="floating-label">Expiry Month</label>
                                    </div>
                                </div>
                                <div class="col-lg-4  mb-3">
                                    <div class="cd-position-relative">
                                        <select id="txtYear" class="form-select select floating-label-control cd-form-control form-control" placeholder="Select">
                                        </select>
                                        <label for="inpuQCSDVal" class="floating-label">Expiry Year</label>
                                    </div>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-lg-4">
                                    <div class="cd-position-relative">
                                        <input type="text" id="txtMean" class="floating-label-control cd-form-control form-control"
                                               placeholder="QC Mean">
                                        <label for="inpuQCMeanVal" class="floating-label">QC Mean</label>
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="cd-position-relative">
                                        <input type="number" id="txtMin" class="floating-label-control cd-form-control form-control"
                                               placeholder="QC Min">
                                        <label for="txtMin" class="floating-label">QC Min</label>
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="cd-position-relative">
                                        <input type="number" id="txtMax" class="floating-label-control cd-form-control form-control txtmx"
                                               placeholder="QC Max">
                                        <label for="txtMax" class="floating-label">QC Max</label>
                                    </div>
                                </div>
                                <div class="col-lg-4" style="display:none">
                                    <div class="cd-position-relative">
                                        <input type="text" id="txtSd" class="floating-label-control cd-form-control form-control" placeholder="SD Value">
                                        <label for="inpuQCSDVal" class="floating-label">SD Value</label>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" onclick="ClearQCLot()" data-bs-dismiss="modal">Close</button>
                            <button type="button" class="btn colorCode" id="btnQCLot" onclick="SaveQCLot()">Save</button>

                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class="modal" id="modelDeleteConfirmationQCLot" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Confirmation</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" id="hdDeleteQCLotId" />
                        Are you sure delete this data ?
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <button type="button" class="btn btn-primary" onclick="DeleteQCLot()">Yes</button>
                    </div>
                </div>
            </div>
        </div>



        @* <div class="modal fade" id="modelQCLotNo" tabindex="-1">
        <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title" id="lblTitle1">QC Lot</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick=""></button>
        </div>
        <div class="modal-body">
        <input type="hidden" id="hdSMP_Id" />
        <div class="row">
        <div class="col-sm-12">
        <label for="" class="form-label">Lot No</label>
        <input type="hidden" id="hdNewQCLotId" />
        <input type="text" id="txtNewQCLotNo" class="form-control" placeholder="Enter Test Code" />
        </div>
        </div>
        </div>
        <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="">Close</button>
        <button type="button" id="btnSave1" class="btn btn-primary" onclick="saveQCLotNo()">Save</button>
        </div>
        </div>
        </div>
        </div> *@
    </div>
    <!-- 1 End QC Lot-->
    <!-- 2 Start Daily QC -->
    <div class="tab-pane fade" id="TabNav_39" role="tabpanel" aria-labelledby="Tab_DailyQC" style="margin-top:-10px">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">

                    <div class="row col-lg-12">
                        <div class="col-sm-9">
                            <h5 class="card-title">
                                Daily QC
                            </h5>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row mt-2">
                        <div class="col-lg-2 mt-2">
                            <div class="cd-position-relative">
                                <select class="form-select select2 select floating-label-control cd-form-control form-control" style="width:100%;" onchange="funQCTestCode('ddlDailyQCTestcode','ddlDailyQCLot')" id="ddlDailyQCTestcode" placeholder="Test Code">
                                </select>
                                <label class="floating-label" for="ddlTestCodeDailyQC">Test Code</label>
                            </div>
                        </div>
                        <div class="col-lg-3  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <select class="form-select select floating-label-control cd-form-control" placeholder="Select" name="ddlDailyQCLot" id="ddlDailyQCLot">
                                </select>
                                <label class="floating-label" for="ddlDailyQCLot">QC Lot </label>
                            </div>
                        </div>
                        <div class="col-lg-3  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <input type="date" id="txtQCDailyDt" class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Date" data-date-format="DD-MMM-YYYY">
                                <label for="txtQCDailyDt" class="floating-label">Run Date</label>
                            </div>
                        </div>
                        <div class="col-lg-2  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <select class="form-select select floating-label-control cd-form-control" placeholder="Select" name="ddlDailyQCConcentration" id="ddlDailyQCConcentration">
                                    <option value="1">High</option>
                                    <option value="2">Normal</option>
                                    <option value="3">Low</option>
                                </select>
                                <label class="floating-label" for="ddlDailyQCConcentration">Concentration </label>
                            </div>
                        </div>
                        <div class="col-lg-2 mb-3 mt-2">
                            <button type="button" id="btnSerchDailyQC" onclick="funSerchDailyQC()" class="btn colorCode" data-bs-toggle="tooltip" data-bs-html="true" data-bs-original-title="Search Daily QC Data"><i class="bi bi-search"></i> Search</button>
                        </div>
                    </div>
                    <div class="col-lg-12 row mt-2">
                        
                        <div class="col-lg-8  mb-3 mt-2"></div>
                     @*    <div class="col-lg-2  mb-3 mt-2">
                            <div class="form-checkbox mb-3">
                                <input class="form-check-input" type="radio" name="chkDailyQCTableChart" id="Table" onclick="funShowQCDailyData('Table');" value="Table" checked>
                                <label class="form-check-label" for="Table">
                                    QC Data
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-2  mb-3 mt-2">
                            <div class="form-checkbox mb-3">
                                <input class="form-check-input" type="radio" name="chkDailyQCTableChart" id="Chart" onClick="funShowQCDailyData('Chart');" value="Chart">
                                <label class="form-check-label" for="Chart">
                                    QC Chart
                                </label>
                            </div>
                        </div> *@
                    </div>
                    <div id="divDailyQcNoRecordFound"></div>

                    <div class="col-lg-12" id="divDailyQCTableChart" style="display:none;">
                        <div class="col-lg-12 mb-3 mt-3" id="divDailyQCTable" style="overflow:auto;">
                            <table id="tblDailyQc" class="display compact" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Test Code</th>
                                        <th>Run Datetime</th>
                                        <th>QC Mean </th>
                                        <th>Result</th>
                                        <th>SD Value</th>
                                        <th>SD Range</th>
                                        <th>Flag</th>
                                        <th>QC Rules</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                            </table>
                      
                            @* </div>
                        <div class="col-lg-12 mb-3 mt-3 divLineChartDailyQC" id="divDailyQCChart"> *@
@*                             <div id="LineChartDailyQC" style="height: 300px; width: 100%;"></div>
 *@                        </div>
                    </div>
                    <div class="col-lg-12 divLineChartDailyQC">
                        <div id="LineChartDailyQC" style="width: 100%;"></div>
                    </div>
                </div>
            </div>
        </div>

    </div>

    <div class="modal" id="modelDeleteConfirmationDailyQCLot" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Confirmation</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="hdDeleteDailyQCLotId" />
                    Are you sure delete this data ?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" onclick="DeleteDailyQCLot()">Yes</button>
                </div>
            </div>
        </div>
    </div>


    <!-- 2 End Dailt QC-->
    <!-- 3 Start Monthly QC-->
    <div class="tab-pane fade" id="TabNav_40" role="tabpanel" aria-labelledby="Tab_MonthlyQC" style="margin-top:-10px">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <div class="row col-lg-12">
                        <div class="col-sm-9">
                            <h5 class="card-title">
                                Monthly QC
                            </h5>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row mt-2">
                        <div class="col-lg-2 mt-2">
                            <div class="cd-position-relative">
                                <select class="form-select select2 select floating-label-control cd-form-control form-control" style="width:100%;" onchange="funQCTestCode('ddlMonthlyQCTestcode','ddlMonthlyQCLot')" id="ddlMonthlyQCTestcode" placeholder="Test Code">
                                </select>
                                <label class="floating-label" for="ddlTestCodeMonthlyQC">Test Code</label>
                            </div>
                        </div>
                        <div class="col-lg-3  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <select class="form-select select floating-label-control cd-form-control" placeholder="Select" name="ddlDailyQCLot" id="ddlMonthlyQCLot">
                                </select>
                                <label class="floating-label" for="ddlMonthlyQCLot">QC Lot </label>
                            </div>
                        </div>
                        <div class="col-lg-3  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <input type="date" id="txtQCMonthlyDt" class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Date" data-date-format="DD-MMM-YYYY">
                                <label for="txtQCMonthlyDt" class="floating-label">Run Date</label>
                            </div>
                        </div>
                        <div class="col-lg-2  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <select class="form-select select floating-label-control cd-form-control" placeholder="Select" name="ddlMonthlyQCConcentration" id="ddlMonthlyQCConcentration">
                                    <option value="1">High</option>
                                    <option value="2">Normal</option>
                                    <option value="3">Low</option>
                                </select>
                                <label class="floating-label" for="ddlMonthlyQCConcentration">Concentration </label>
                            </div>
                        </div>
                        <div class="col-lg-2 mb-3 mt-2">
                            <button type="button" id="btnSerchMonthlyQC" onclick="funSerchMonthlyQC()" class="btn colorCode" data-bs-toggle="tooltip" data-bs-html="true" data-bs-original-title="Search Monthly QC Data"><i class="bi bi-search"></i> Search</button>
                        </div>
                    </div>
                    @* <div class="col-lg-12 row mt-2">
                        
                        <div class="col-lg-8  mb-3 mt-2"></div>
                        <div class="col-lg-2  mb-3 mt-2">
                            <div class="form-checkbox mb-3">
                                <input class="form-check-input" type="radio" name="chkMonthlyQCTableChart" id="MonthlyData" onclick="funShowQCMonthlyData('Table');" value="Table" checked>
                                <label class="form-check-label" for="MonthlyData">
                                    QC Data
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-2  mb-3 mt-2">
                            <div class="form-checkbox mb-3">
                                <input class="form-check-input" type="radio" name="chkMonthlyQCTableChart" id="MonthlyChart" onClick="funShowQCMonthlyData('Chart');" value="Chart">
                                <label class="form-check-label" for="MonthlyChart">
                                    QC Chart
                                </label>
                            </div>
                        </div>
                    </div> *@
                    <div id="divMonthlyQCTableChart" style="display:none;">
                        <div class="col-lg-12 mb-3 mt-3" id="divMonthlyQCTable" style="overflow:auto;">
                            <table id="tblMonthlyQc" class="display compact" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Test Code</th>
                                        <th>Run Date</th>
                                        <th>QC Mean Value</th>
                                        <th>Result</th>
                                        <th>SD Value</th>
                                        <th>SD Range</th>
                                        <th>Flag</th>
                                        <th>QC Rules</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                      @*   <div class="col-lg-12 mb-3 mt-3 divLineChartMonthlyQC"  id="divMonthlyQCChart">
                            <div id="LineChartMonthlyQC" style="height: 300px; width: 100%;"></div>
                        </div>
 *@
                    </div>
                    <div class="col-lg-12 divLineChartMonthlyQC">
                        <div id="LineChartMonthlyQC" style="height: 300px; width: 100%;"></div>
                    </div>
                    <div id="divMonthlyQcNoRecordFound"></div>

                </div>
            </div>
        </div>
    </div>
    <!-- 3 End Monthly QC Lot-->
    <!-- 4 Start Value Print  -->
    <div class="tab-pane fade" id="TabNav_41" role="tabpanel" aria-labelledby="Tab_QCValuePrint" style="margin-top:-10px">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <div class="row col-lg-12">
                        <div class="col-sm-9">
                            <h5 class="card-title">
                                QC Value Print
                            </h5>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-lg-3  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <select class="form-select select floating-label-control cd-form-control" placeholder="Select"
                                        name="ddlConcentration" id="ddlConcentration">
                                    <option value="1">High</option>
                                    <option value="2">Normal</option>
                                    <option value="3">Low</option>
                                </select>
                                <label class="floating-label" for="ddlConcentration">Concentration </label>
                            </div>
                        </div>

                        <div class="col-lg-3  mb-3 mt-2">
                            <div class="cd-position-relative">
                                <input type="date" id="txtQCValPrintFromDt"
                                       class="floating-label-control cd-form-control form-control form-control calinput" placeholder="From Run Date"
                                       data-date-format="DD-MMM-YYYY" value="Select Date">
                                <label for="txtQCValPrintFromDt" class="floating-label">From Run Date</label>
                            </div>
                        </div>

                        <div class="col-lg-3  mb-3 mt-2">
                            <div class="cd-position-relative">

                                <input type="date" id="txtQCValPrintToDt"
                                       class="floating-label-control cd-form-control form-control form-control calinput" placeholder="To Run Date"
                                       data-date-format="DD-MMM-YYYY" value="Select Date">
                                <label for="txtQCValPrintToDt" class="floating-label">To Run Date</label>
                            </div>
                        </div>

                        <div class="col-lg-3 mb-3 mt-3" style="text-align: center;">
                            <button type="button" id="btnSerchValuePrint" onclick="funSerchQCPrintVal()" class="btn colorCode" data-bs-toggle="tooltip" data-bs-html="true" data-bs-original-title="Search Value Print Data"><i class="bi bi-search"></i> Search</button>
                        </div>

                    </div>

                    <div class="row mb-3" id="divValueQCTable" style="display:none;">
                        <div class="row">
                            <div class="col-lg-3">
                                <button type="button" class="btn colorCode" onclick="ValuePrintPDF()">Print PDF</button>
                            </div>
                        </div>
                        <table id="tblValueQC" class="display compact" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Action</th>
                                    <th>Run Date Time</th>
                                    <th>Test Code</th>
                                    <th>QC LOT</th>
                                    <th>Result</th>
                                    <th>Flag</th>
                                    <th>QC Range</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <div id="divValuePrintNoRecordFound"></div>

                </div>
            </div>
        </div>
    </div>
    <!-- 4 End Value Print  -->
</div>



<div id="divMonthlyQCTablePrint" style="display:none;width:900px;">

    <div class="col-lg-12 row mb-3 mt-2">
        <p id="headerline"></p>

    </div>
    <div class="col-lg-12 row mb-3">
        <table id="tblmonthlyQCPrint" class="table" style="width:100%;">
        </table>
    </div>
</div>

<div id="divQCValuePrint" style="display:none;width:900px;">

    <div class="col-lg-12 row mb-3">
        <table id="tbl_QCValuePrint" class="table" style="width:100%;">
        </table>
    </div>
</div>

<div id="editor" style="width:900px;"></div>
<div id="editorValPrint" style="width:900px;"></div>

<script src="~/js/UI/jquery.js"></script>
<script src="~/js/UI/jquery.canvasjs.min.js"></script>
<script src="~/js/UI/jquery.datatables.min.js"></script>
<script src="~/js/app/QualityControl.js"></script>
<script src="~/js/ui/jspdf.min.js"></script>
<script src="~/js/ui/jspdf.plugin.autotable.min.js"></script>
<script>
    $(document).ready(function () {
        $('.editable-select').editableSelect();
    })

</script>


